Get virtual server console access

Obtain a secure link to the console of your virtual server (VM). This is useful for troubleshooting and direct access to the server's operating system when SSH or other network protocols are unavailable.

VPS Services VM

Context

Used in the dashboard

/instance/[id]

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.CSRFPreventionToken string required · Example: YOUR_TOKEN
data.consoleUrl string required · Example: https://console.hostup.se/novnc/vncconsole.html?ticket=PVE%3AEXAMPLE_TICKET
data.success boolean required · Example: true

True for successful responses.

data.ticket string required · Example: PVE:EXAMPLE_TICKET_0001
data.username string required · Example: client_10000@pve
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/console
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/console" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "consoleUrl": "https://console.hostup.se/novnc/vncconsole.html?ticket=PVE%3AEXAMPLE_TICKET&csrf=YOUR_TOKEN",
    "ticket": "PVE:EXAMPLE_TICKET_0002",
    "CSRFPreventionToken": "YOUR_TOKEN",
    "username": "client_10000@pve"
  }
}